.routes {
  padding: 70px 0;
}

.routes__box {
}

.routes__content {
}

.routes__swiper {
}

.routes__swiperMiddle {
  display: none;
}

.routes__swiperMobile {
  display: none;
}

.routes__slide {
}

.routes__slide-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

.routes__slide-item {
  display: block;
  border-radius: 16px;
  overflow: hidden;
  position: relative;
  aspect-ratio: 3/4;
  border: 4px solid transparent;
}

.routes__slide-item-banner {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.routes__slide-item-logo {
  position: absolute;
  top: 23px;
  left: 17px;
  width: 72px;
  object-fit: contain;
}

.routes__slide-item-title {
  position: absolute;
  left: 26px;
  right: 26px;
  bottom: 30px;
}

.routes__navigation {
  margin-top: 20px;
  display: grid;
  grid-template-columns: 60px auto 60px;
  align-items: center;
  justify-content: center;
  justify-items: center;
  gap: 40px;
}

.navigationMiddle {
  display: none;
}

.navigationMobile {
  display: none;
}

.routes__prev {
  background: url("../images/icons/arrow-left.svg") no-repeat center;
}

.arrow-navigation {
  width: 60px;
  height: 60px;
  &::before {
    width: 52px;
    height: 52px;
  }
}

.routes__swiper_pagination {
  font-size: 32px;
  color: var(--textColor);
  width: max-content;
}

.routes__next {
  background: url("../images/icons/arrow-right.svg") no-repeat center;
}

.routes__list {
  margin-top: 65px;
}

.routes__row {
  gap: 18px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin: 18px auto 0;
}

.routes__item {
  color: var(--textColor) !important;
  padding: 16px 22px;
  border-radius: 30px;
  border: 1px solid var(--borderColor);
  box-shadow: 4px 6px 6px 0px var(--bgLink);
}

@media (hover: hover) {
  .routes__slide-item:hover {
    border-color: var(--textColor);
  }

  .routes__item:hover {
    border-color: var(--textColor);
    box-shadow: 0px 0px 10px 0px var(--textTel);
  }
}

@media screen and (max-width: 1100px) {
  .routes__list {
    margin-top: 45px;
  }

  .routes__row {
    &:nth-of-type(odd) {
      width: 68%;
    }
  }
}

@media screen and (max-width: 1000px) {
  .routes__slide-item-title {
    bottom: 20px;
    left: 20px;
  }

  .routes__slide-list {
    gap: 8px;
  }
}

@media screen and (max-width: 800px) {
  .routes__row {
    margin-top: 14px;
    gap: 14px;
  }

  .routes__item {
    font-size: 14px;
  }

  .routes__navigation {
    gap: 20px;
    grid-template-columns: 50px auto 50px;
  }

  .routes__swiper_pagination {
    font-size: 24px;
  }

  .arrow-navigation {
    width: 50px;
    height: 50px;

    &::before {
      width: 43px;
      height: 43px;
    }
  }
}

@media screen and (max-width: 700px) {
  .routes__row {
    &:nth-of-type(odd) {
      width: 100%;
    }
  }

  .routes__swiper {
    display: none;
  }

  .routes__swiperMiddle {
    display: block;
  }

  .navigation {
    display: none;
  }

  .navigationMiddle {
    display: grid;
  }

  .routes__slide-list {
    grid-template-columns: repeat(2, 1fr);
  }

  .routes__item {
    padding: 10px 14px;
  }
}

@media screen and (max-width: 500px) {
  .routes__slide-item-title {
    left: 10px;
    right: 10px;
    bottom: 10px;
  }

  .routes__swiper_pagination {
    font-size: 20px;
  }

  .routes__row {
    gap: 12px;
    margin-top: 12px;
  }

  .routes__item {
    font-size: 12px;
    padding: 8px 12px;
  }
}

@media screen and (max-width: 400px) {
  .routes__swiperMiddle {
    display: none;
  }

  .routes__swiperMobile {
    display: block;
  }

  .navigationMiddle {
    display: none;
  }

  .navigationMobile {
    display: grid;
  }

  .routes__slide-item-title {
    left: 16px;
    right: 16px;
    bottom: 16px;
  }
}
